/***********************************
	Sandstorm

	DEBUG.C
************************************/


/**** INCLUDES ****/
#include <libps.h>
#include "main.h"
#include "graphics.h"
#include "pad.h"
#include "control.h"
#include "debug.h"
#include "sprite.h"
#include "collide.h"
#include "fire.h"
#include "ai.h"
#include "cdread.h"
#include "sound.h"

/**** SWITCHMODE ****/
void SwitchMode(void)
{
	static int countmode, pressed, select;
	
	if(padd&PADstart)
	{
		if(pause==0) { if(pressed==0) pressed=1; }
		else if(pause==1) { if(pressed==0) pressed=2; }

		//commented out for public version
		//countmode++;
		if(countmode==1)
			debugmode=1;
		if(countmode==21)
			debugmode=2;
		if(countmode==31)
			debugmode=3;
		if(countmode==41)
			debugmode=4;
		if(countmode==51)
			debugmode=5;
		if(countmode==61)
			debugmode=6;
		if(countmode==71)
			debugmode=7;  //for movement
		if(countmode==81)
			debugmode=8;
		if(countmode==91)
			debugmode=9;
	}
	else pressed=0;

	if(pressed==1) pause=1;
	if(pressed==2) pause=0;

	//make pyramid visible/invisible with select button
	if(padd&PADselect) {
		if(select==0) select=1;
	}
	else select=0;
	
	if(select==1) { 
		if(pyramid.obj.attribute==(1<<31) ) pyramid.obj.attribute &=~(1<<31);
		else if(pyramid.obj.attribute != (1<<31) ) pyramid.obj.attribute |=(1<<31);
		select=2;
	}

	if(pause==1) {
		if(gamemode==2) FntPrint("\n\n\n\t\t~c000Paused.\n\t\tPress [Start]\n");
	}

	if(countmode==101)
		countmode=0;
	
	//display info onscreen
	/*
	FntPrint("\ndebugmode=%d\th_sync=%d\n",debugmode,h_sync);
	FntPrint("~c000\n\nview.vpx=%d\nview.vpy=%d\nview.vpz=%d\nview.vrx=%d\n
		view.vry=%d\nview.vrz=%d\n",view.vpx,view.vpy,view.vpz,view.vrx,
		view.vry, view.vrz);
	FntPrint("~c999x=%d,y=%d,z=%d\n",truck[0].coord.coord.t[0],truck[0].coord.coord.t[1],
		truck[0].coord.coord.t[2]);
	*/
	
	
	

}



/**** MOVECAM ****/
void MoveCam(void)
{
	//camera movement speed
	static int cammove=5;
	static int speed=100;
	
	if(debugmode==1)
	{
		//D-PAD controls view point
		if(padd2&PADLup)
			view.vpy-=cammove;
		if(padd2&PADLdown)
			view.vpy+=cammove;
		if(padd2&PADLleft)
			view.vpx-=cammove;
		if(padd2&PADLright)
			view.vpx+=cammove;
		if(padd2&PADL1)
			view.vpz-=cammove;
		if(padd2&PADL2)
			view.vpz+=cammove;
		
		//SHAPE buttons control reference point
		if(padd2&PADRup)
			view.vry-=cammove;
		if(padd2&PADRdown)
			view.vry+=cammove;
		if(padd2&PADRleft)
			view.vrx-=cammove;
		if(padd2&PADRright)
			view.vrx+=cammove;
		if(padd2&PADR1)
			view.vrz-=cammove;
		if(padd2&PADR2)
			view.vrz+=cammove;
	}

	//move around icon sprites	
	if(debugmode==4)
	{
		if(padd&PADLleft) { blank.r--; blank.g--; blank.b--; }
		if(padd&PADLright) { blank.r++; blank.g++; blank.b++; }

		FntPrint("\nr=%dd, g=%d, b=%d", blank.r, blank.g, blank.b);
	}


}//end MoveCam
